package com.tmerclub.cloud.live.vo;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * 直播返回消息组成
 *
 * @author TRACK
 */
public class LiveMsgItemVO {

    @Schema(description = "消息类型 0.心跳 1.弹幕消息 2.商品讲解状态变更 3.直播间状态变更 4.直播观看人数变更")
    private Integer msgType;

    @Schema(description = "弹幕消息")
    private String content;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "讲解状态 0未讲解 1讲解中")
    private Integer explainStatus;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品售价")
    private Long price;

    @Schema(description = "活动价(秒杀、团购活动的商品价格)")
    private Long activityPrice;

    @Schema(description = "商品介绍主图")
    private String pic;

    @Schema(description = "直播间状态 0.未开始 1.直播中 2.已结束 3.暂停中 -1.违规下架")
    private Integer liveStatus;

    @Schema(description = "直播观看人数")
    private Integer liveUserCount;

    @Schema(description = "用户类型 0.用户 1.主播")
    private Integer userType;

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getExplainStatus() {
        return explainStatus;
    }

    public void setExplainStatus(Integer explainStatus) {
        this.explainStatus = explainStatus;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Long getActivityPrice() {
        return activityPrice;
    }

    public void setActivityPrice(Long activityPrice) {
        this.activityPrice = activityPrice;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getLiveStatus() {
        return liveStatus;
    }

    public void setLiveStatus(Integer liveStatus) {
        this.liveStatus = liveStatus;
    }

    public Integer getLiveUserCount() {
        return liveUserCount;
    }

    public void setLiveUserCount(Integer liveUserCount) {
        this.liveUserCount = liveUserCount;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    @Override
    public String toString() {
        return "LiveMsgItemVO{" +
                "msgType=" + msgType +
                ", content='" + content + '\'' +
                ", nickName='" + nickName + '\'' +
                ", spuId=" + spuId +
                ", explainStatus=" + explainStatus +
                ", spuName='" + spuName + '\'' +
                ", price=" + price +
                ", activityPrice=" + activityPrice +
                ", pic='" + pic + '\'' +
                ", liveStatus=" + liveStatus +
                ", liveUserCount=" + liveUserCount +
                ", userType=" + userType +
                '}';
    }
}
